/*
	This panel is a message area for the applet to use
	The
*/

import java.awt.*;
import java.applet.AppletContext;
import java.net.*;
import java.awt.event.*;

// This panel is a message area only for the applet to use....
class messagePanel extends Panel implements ActionListener{
	// decs
	private Label messages;
	private Label themessage;
	private String my_message;
	private Button download;
	private GridBagConstraints gc;
	private URL downloadURL;
	private AppletContext context;
	
	//constructor - the zapsPanel ob is passed so we can use its
	// setConstraints method. String str is the initial value 
	// for the message area
	messagePanel(zapsPanel pan, String str, 
			URL downloadURL, AppletContext context) {
		setBackground(new Color(215, 106, 73));
		gc= new GridBagConstraints();
		gc.insets= new Insets(5,10,0,5);
		setLayout(new GridBagLayout());
		messages = new Label("messages:");
		messages.setFont(pan.thefont);
		my_message=str;
		this.downloadURL=downloadURL;
		this.context=context;
		themessage = new Label(my_message);
		themessage.setFont(pan.thefont);
		download = new Button("Download");
		download.addActionListener(this);
		download.setFont(pan.thefont);
		// using static method of zapsPanel...
		zapsPanel.setConstraints(gc,0,0,1,1,10,10);
		gc.anchor=GridBagConstraints.NORTHWEST;
		gc.fill=GridBagConstraints.NONE;
		add(messages, gc);
		zapsPanel.setConstraints(gc,1,0,1,1,80,80);
		gc.anchor=GridBagConstraints.NORTH;
		gc.fill=GridBagConstraints.HORIZONTAL;
		add(themessage,gc);
		zapsPanel.setConstraints(gc,2,0,1,1,10,10);
		gc.anchor=GridBagConstraints.NORTHEAST;
		gc.fill=GridBagConstraints.NONE;
		add(download, gc);
	}

	// called by zapsPanel (through jn.updateMessagePanel)
	// to make a temporary change to the message
	protected void updateLabel(String str) {
		themessage.setText(str);
		new messageTimer(5000, this);
		context.showStatus(str);
	}
	
	// called by messageTimer to reset the label to the default message
	protected void refreshLabel() {
		themessage.setText(my_message);
	}
	
	// respond to download button
	public void actionPerformed(ActionEvent e) {
		context.showDocument(downloadURL, "archive");
	}
}
