/* targetPanel.java - a panel lists the target site - 
in applet mode it uses a simple label to indicate the target site
in application mode it provides a text field and a scan button 

*/

import java.awt.*;
import java.awt.event.*;

class targetPanel extends Panel implements ActionListener, FocusListener {
	// decs
	String target;
	Label targetlab;
	Label thetarget;
	GridBagConstraints gc;
	TextField tf;
	zapsPanel parent;
	
	//constructor - zapsPanel arg is the containing object - is has
	// the font to use, ect...
	// String target is the target site for display
	// boolean is_applet indicates which mode to be in
	// applet mode -
	targetPanel(zapsPanel parent, String target, boolean is_applet) {
		if (is_applet) {
			setBackground(new Color(215, 106, 73));
			gc= new GridBagConstraints();
			gc.insets= new Insets(5,5,5,5);
			setLayout(new GridBagLayout());
			targetlab= new Label("target: ");
			thetarget= new Label(target);
			targetlab.setFont(parent.thefont);
			thetarget.setFont(parent.thefont);
			// using helper method setConstraints method of zapPanel
			zapsPanel.setConstraints(gc,0,0,1,1,5,0);
			gc.anchor=GridBagConstraints.WEST;
			gc.fill=GridBagConstraints.NONE;
			add(targetlab, gc);
			zapsPanel.setConstraints(gc,1,0,1,1,95,0);
			gc.anchor=GridBagConstraints.CENTER;
			gc.fill=GridBagConstraints.HORIZONTAL;
			add(thetarget,gc);
		} else {
			this.parent=parent;
			setBackground(new Color(215, 106, 73));
			gc= new GridBagConstraints();
			gc.insets= new Insets(5,5,5,5);
			setLayout(new GridBagLayout());

			// make stuff
			targetlab= new Label("target: ");
			targetlab.setFont(parent.thefont);

			tf= new TextField(target);
			tf.setFont(parent.thefont);
			tf.setBackground(new Color(215, 106, 73));
			tf.setForeground(Color.black);


			// add to layout
			// using helper method setConstraints method of zapPanel
			zapsPanel.setConstraints(gc,0,0,1,1,5,0);
			gc.anchor=GridBagConstraints.WEST;
			gc.fill=GridBagConstraints.NONE;
			add(targetlab, gc);
			zapsPanel.setConstraints(gc,1,0,1,1,95,0);
			gc.anchor=GridBagConstraints.WEST;
			gc.fill=GridBagConstraints.HORIZONTAL;
			add(tf,gc);
			
			// add listeners
			tf.addActionListener(this);
			tf.addFocusListener(this);
		}
	}	
	
	// listen for the button click
	public void actionPerformed(ActionEvent e) {
		parent.newTarget(tf.getText());
		tf.setBackground(new Color(215, 106, 73));
		tf.setForeground(Color.black);
		tf.transferFocus();
	}

	public void focusGained(FocusEvent fe) {
		tf.setText("");
		tf.setBackground(Color.white);
		tf.setForeground(Color.black);
	}

	public void focusLost(FocusEvent fe) {
		tf.setBackground(new Color(215, 106, 73));
		tf.setForeground(Color.black);
		tf.setText(parent.getTarget());
	}
}
