/* messageTimer.java
a simple callback timer for use with the messagePanel.class
*/

public class messageTimer implements Runnable {
	Thread t;
	int milliseconds;
	messagePanel caller;
	
	messageTimer(int milliseconds, messagePanel caller) {
		this.milliseconds=milliseconds;
		this.caller = caller;
		t=new Thread(this);
		t.start();
	}

	public void run() {
		try {
			Thread.sleep(milliseconds); // sleep milliseconds
			caller.refreshLabel(); // call back.
		} catch (InterruptedException e) {
			System.out.println("The timer was Interrupted(Exception)");
		}

	}
}
