/*
	Small thread object to hold a tcp/ip single port scanner
	for the Zapatista Tribal Port Scan - uses the static
	checkSocket(String ahost, int aport,
			int timeout, int type, String message)IO
	method of the socketChecker class to do it's thing
*/

import java.awt.*;
import java.net.*;

public class portScan implements Runnable{
	int timeout, port;
	String result, target;
	TextArea ta;
	Thread t;
	zapsPanel caller;
	int type;
	String message;
	public static final int TCP=0;
	public static final int UDP=1;

	// Constructors

	// this constructor has a default timeout (5000 milliseconds);
	// target server, the port, the text area, zapsPanel,
	// scantype, message
	public portScan(String target, int port, TextArea ta,
zapsPanel caller, int type, String message) {
		timeout=5000;
		this.target=target;
		this.port=port;
		this.ta=ta;
		this.caller=caller;
		this.type=type;
		this.message=message;
		t= new Thread(this);
		t.start();
	}

	// constructor with added parameter timeout
	// target server, the port, timeout,  the text area,
	// zapsPanel, scantype, message
	public portScan(String target, int port, int timeout, TextArea ta,
zapsPanel caller, int type, String message) {
		this.timeout=timeout;
		this.target=target;
		this.port=port;
		this.ta=ta;
		this.caller=caller;
		this.type=type;
		this.message=message;
		t= new Thread(this);
		t.start();
	}

	public void run() {
		result=socketChecker.checkSocket(target,port,timeout,type,message);
		//System.out.println("port " + port + result);
		ta.append("port " + port + ": "+ result + "\n");
		caller.scanDoneCallBack();
	}
}
