// the settings panel - used by the controlPanel object

import java.awt.*;

class settingsPanel extends Panel {
	// decs
	CheckboxGroup checkgroup;
	Checkbox tcp;
	Checkbox udp;
	Checkbox zap;
	GridBagConstraints gc;
	
	//constructor
	// parent and grandparent refer to the containment hierarchy
	// not inheritance
	settingsPanel(controlPanel parent, zapsPanel grandparent) {
		setBackground(new Color(215, 106, 73));
		setLayout(new GridBagLayout());
		gc= new GridBagConstraints();
		checkgroup = new CheckboxGroup();
		tcp= new Checkbox("TCP",false,checkgroup);
		tcp.addItemListener(parent);
		tcp.setBackground(new Color(215, 106, 73));
		udp= new Checkbox("UDP",false,checkgroup);
		udp.addItemListener(parent);
		udp.setBackground(new Color(215, 106, 73));
		zap= new Checkbox("Zap",true,checkgroup);
		zap.addItemListener(parent);
		zap.setBackground(new Color(215, 106, 73));
		grandparent.setConstraints(gc,0,0,1,1,100,100);
		gc.anchor=GridBagConstraints.WEST;
		gc.fill=GridBagConstraints.BOTH;
		add(tcp, gc);
		grandparent.setConstraints(gc,0,1,1,1,100,100);
		gc.anchor=GridBagConstraints.WEST;
		gc.fill=GridBagConstraints.BOTH;
		add(udp, gc);
		grandparent.setConstraints(gc,0,2,1,1,100,100);
		gc.anchor=GridBagConstraints.WEST;
		gc.fill=GridBagConstraints.BOTH;
		add(zap, gc);
	}
}
